# Peach Finance API

# Introduction
This API is organized around [REST](https://en.wikipedia.org/wiki/Representational_state_transfer).

Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses,
and uses standard HTTP response codes, authentication, and verbs.

You can use the API in test mode, which does not affect your live data. The API key you use to authenticate the
request determines whether the request is in live mode or test mode.

# Versioning

This API is versioned. For more information see [API Versioning Docs](https://docs.peachfinance.com/api-versioning).
For a list of available versions—and the breaking changes associated with them—see
[Breaking Changes](https://docs.peachfinance.com/api-docs/breaking-changes). (Requires Docs Hub login.)

# Pagination
Peach Finance API utilizes cursor-based pagination via the `startingAfter`
and `endingBefore` parameters. Both parameters take an existing Object ID
value and return objects in reverse chronological order. The `endingBefore`
parameter returns objects listed before the named object. The `startingAfter`
parameter returns objects listed after the named object. If both parameters
are provided, only `endingBefore` is used.

The size of the page can be limited using the `limit` parameter.
`limit` is optional; the default is 25 and can be between 1 and 100.
Sending both `startingBefore` and `endingAfter` is not currently supported.

Some endpoints will allow sending a `sortBy` parameter, enumerating the fields that can be used to
sort the results returned by that particular endpoint. For example, if the results can be sorted by
`createdAt` and `updatedAt`, then sending `sortBy=[updatedAt, -createdAt]` will return the results sorted
by `updatedAt` in ascending order and `createdAt` in descending order lexicographically.

# Metadata
Some Peach objects have a `metaData` attribute. You can use this attribute to pass
key-value data as part of an object.

Metadata can be used when you need to store additional information on an object. Metadata
is not used by Peach. It is stored as part of an object and returned to you.

Do not store any personal identifiable information (such as SSN) as metadata. Use dedicated
attributes for PII as these attributes are encrypted.

Note: Metadata attribute can hold up to 50 keys, with key names up to 100 characters long and values
up to 500 characters long.

# Attributes Formats
Some Peach attributes use common formats.
1. **Interest rate, promo rate and APR** - Rates are annual. Format is decimal. For example, 0.005 is 0.5% annual rate, 0.01 is 1% annual rate, 0.2 is 20% annual rate.
2. **Dates** - Dates are in format `YYYY-MM-DD`. Dates are computed relative to either
    - the company timezone, which is configured on the company config, or
    - the product timezone, which is configured on the Loan Type.  Note: it is possible for a company to have multiple products with different timezones.
3. **Date-times** - Timestamps are in ISO-8601 format expressed either in UTC like `2001-01-01T12:00:00Z` or with UTC offset like
    `2001-01-01T12:00:00-07:00`. Some date-times will include subsecond precision to an arbitrary number of digits like `2001-01-01T12:00:00.123Z`.
4. **Amount** - Amounts are in decimal format with 2 places after the decimal point. For example, 32.45 is thirty-two dollars and forty-five cents.

# Identifiers
Peach objects always have unique identifiers created by Peach. Some objects support external IDs. If external ID is supported, the object will have `externalId` attribute. You can fetch objects using external ID (only objects that support external IDs).
Peach IDs have the same format XX-YYYY-YYYY.

XX - is a prefix from the list below.

YYYY-YYYY - is a random set of numbers and letters (capital characters A-Z and digits 1-9). The digit zero is not used to avoid confusion with capital letter O.

## External IDs
External IDs allows avoiding the need to map IDs between your system and Peach. You can pass your IDs when creating various objects at Peach and then use the same IDs to fetch
the information back.

When fetching data with external IDs or when sending a request that requires a reference to an object using its external ID (for example, inside a body of a POST request), there is
a need to add a `ext-` in front of the ID. This will make sure Peach knows these are external IDs being used.

For example, fetching a borrower using the external ID would look like `GET /api/people/ext-MY_EXTERNAL_BORROWER_ID`.

When creating objects with external IDs, the `ext-` prefix is not needed.
For example, when creating a new borrower the body would look like:
```
POST /api/people
{
  "externalId" : "MY_EXTERNAL_BORROWER_ID"
  ...
}
```

## List of Prefixes

| Prefix | Object |
| --- | ----------- |
| UR | User |
| BO | Borrower |
| BN | Person Name |
| BI | Person Identity |
| CT | Contact |
| LT | Loan Type |
| IR | Investor |
| LN | Loan |
| LN | Loan Draw |
| LA | Installment Advances |
| CP | Company |
| TX | Transaction |
| EV | Event |
| EM | Event Message |
| PT | Payment Instrument |
| PA | Payment ID |
| DD | Document Descriptor |
| FT | Fee Type |
| MS | Person Monitoring Status |
| CS | Case |
| CE | Case Type |
| AP | Autopay |
| IN | Interaction |
| DT | Do Not Interact Type |
| DN | Do Not Interact |
| NT | Notification Type |
| NO | Notification |
| TD | Template Descriptor |
| TV | Template Version |
| CO | Code |
| CR | Compliance Rule |
| SR | Service |
| FD | FEMA Disaster Details |
| NT | Note |
| CN | Consent |
| LR | Legal Representative |
| RL | Role |
| PM | Permission |
| WT | Workflow Type |
| ST | Workflow Step Type |
| IT | Workflow Item Type |
| WF | Workflow |
| WS | Workflow Step |
| WI | Workflow Workitem |
| VT | Verification Type |
| VE | Verification |
| VA | Verification Attempt |
| OB | Obligation |
| RE | Repayment Notification Descriptor  |
| LP | Loan People |
| RA | InterestRate |
| PE | Period (loan)  |
| IA | Loan Investor Association |
| SE | Settlement |
| RF | Loan Refund |
| SM | Statement |
| SA | Statement Activity |
| SD | Statement Draw Info |
| LF | Loan Fee |
| AE | Autopay Expected Payment |
| FE | FEMA Disaster |
| TY | Loan Tape Type |
| TA | Loan Tape |
| MR | Merchant |
| LS | Loan Reporting Status |
| CA | Credit Agency |
| CL | Collection Agency |
| CI | Card Issuer |
| WH | Webhook |
| AF | ACHFile Upload Monitoring |
| FB | Funding Account Balance |
| BC | Borrower Campaign |
| RN | Campaign Run |
| CX | Contact  Exporter|
| TC | Transaction Chargeback |
| PS | Promise to Pay Plan |
| P2 | Promise to Pay Period |
| LL | Loan Label |
| AK | API Key    |
| AT | AI Call Transcription Result |
| SU | AI Call Summary Result |
| RC | Rate Cap |

# Events
Our system supports pull events via our REST API.
You can see more information <a href="/api-docs/api-public/events">here</a>.

# Compliance Guard
Compliance Guard covers core regulatory obligations related to servicing and
collections. It does not cover rules required for debt collection agencies
(though some of them are applicable to creditors and servicers as a best
practice.)

Compliance Guard allows you to:
  - Run real-time regulatory checks before initiating an outbound communication
  with a borrower. Rules cover laws on the federal level and 50 states + DC. The
  system runs appropriate rules based on loan type, loan status, location of a borrower,
  borrower status, and past communications.
  - Monitor for bankruptcy, deceased, active military, and FEMA (disasters). You can
  monitor for all four or any combination of the four. On hits, we automatically create "cases"
  with all details, block future outbound communications (if needed), and notify
  you about the cases.

## Configuring Compliance Guard
- Peach will configure an appropriate loan type for you. It allows us to select a
predefined set of regulatory rules
- Peach will work with you to override regulatory rules based on your risk appetite. You
can "mute" rules. You can add rules. This is typically done with your legal
and compliance teams.
- Peach will work with you to add business rules based on your needs. For example, don't
allow outbound debt collection calls on Sundays. This is typically done with your
operations and product teams.

## Implementing Compliance Guard in your system
- You need to create borrower and loan objects in the Peach system. For more details
see <a href="/api-docs/api-public/borrowers">Borrower Management</a> and <a href="/api-docs/api-public/loans">Loans Management</a>.
- You need to report all communications with a borrower. Not required for monitoring.
This way Peach can track all interactions with the borrower. For more details see
<a href="/api-docs/api-public/communicator">Communicator & Interactions</a>.
- When sending a communication through Peach it will automatically check Compliance
  Guard rules to determiend if the communication is compliant. If it is not compliant,
  the communication will not be rejected. (Some send endpoints do not perform
  Compliance Guard checks, but they should be clearly marked.)
- You can also manually check if a communication is compliant by using the
  <a href="/api-docs/api-public/compliance-guard/peach.people.handlers.can_interact">Can interact</a> endpoint.

# Locks
Peach ensures consistency of the loan's ledger and balances. In order to make sure that
multiple operations are not writing to the ledger at the same time, Peach uses locks to protect
the consistency of the loan.

In situations where an API call affects a loan's ledger, the system will lock the
loan to protect its consistency. Subsequent calls that affect that loan's ledger might
return a `423 Locked` status if the loan is still locked. In these cases, you can make
a call to <a href="/api-docs/api-public/loans/peach.people.loans.handlers.get_lock_status">Lock Status</a>
to check if the loan is still locked.

If you are trying to make a call and get `423 Locked`, consider polling on the <a href="/api-docs/api-public/loans/peach.people.loans.handlers.get_lock_status">Lock Status</a>
to check when the lock is released. Most locks are short.
Some API calls (e.g. retroactive interest adjustment or payment backdate)
can trigger a loan replay. Loan replays can last several minutes, during which the loan will
be locked.

# Sync calls
Most of the API endpoints are asynchronous by design. There are situations in which you
might want to wait until the API call/operation finishes. Some API endpoints have
a special query parameter called `sync`.

For example:
- <a href="/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_create">Create Payment Instrument</a>
- <a href="/api-docs/api-public/line-of-credit-purchases/peach.people.loans.purchases.handlers.draw_purchases_create">Create Purchase</a>

When `sync=true`, the call will be blocked until the async operation has finished.
If the operation takes too long, you will get a `408 Request Timeout` response.
In that case, you need to poll on that specific operations' result.
For example: if you make a call to add a Payment Instrument, and it times out, you can poll
the `/payment-instruments` endpoint to see if the new payment instrument has been added.

# Errors

**BETA** - Standardization of error response bodies is in progress.

Peach uses conventional HTTP response codes to indicate the success or failure of an API request.
In general, codes in the 2xx range indicate success, codes in the 4xx range indicate an error that
resulted from the provided information (e.g., a required parameter was missing), and codes in the 5xx
range indicate an error with the Peach service.
Error response bodies have the following JSON format:
```json
{
    "statusCode": 400,
    "message": "A description of the error.",
    "errorType": "TheErrorType"
}
```
For a list of error types, see the <a href="/api-docs/api-public/errors">Errors</a> section.


Version: 2025-03-26
License: Proprietary

## Servers

```
https://sandboxapi.peach.finance/api
```

## Security

### apiKeyHeader

Type: apiKey
In: header
Name: X-API-KEY

### bearerAuth

Type: http
Scheme: bearer
Bearer Format: JWT

### bearerAuthQuery

Type: apiKey
In: query
Name: token

### oauth2

Type: oauth2

## Download OpenAPI description

 - [Peach Finance API](https://docs.peachfinance.com/_bundle/API%20Docs/@2025-03-26/api-public.yaml)

## Frontend

 - [GET /bootstrap](https://docs.peachfinance.com/api-docs/api-public/frontend/peach.security.handlers.bootstrap.md): Get pre-auth app metadata and settings. Fetch metadata and settings for a Peach application. This endpoint is public readable because this information is necessary to properly render the frontend even
## Auth

 - [POST /auth/exchange-token](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.exchange_token_create.md)
 - [POST /auth/password](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.password_post.md)
 - [GET /auth/permissions](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.permissions_get.md)
 - [DELETE /auth/token](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.logout.md)
 - [POST /auth/token](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.validate_and_send_token.md)
 - [PUT /auth/token](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.renew_jwt_token.md)
 - [POST /auth/token/short-lived](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.short_lived_token.md)
 - [GET /auth/user](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.user_info_get.md)
 - [POST /companies/{companyId}/auth/saml/callback](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.saml_sp_auth.idp_initiated.md)
 - [GET /companies/{companyId}/auth/saml/help](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.saml_sp_auth.idp_setup_help.md)
 - [GET /companies/{companyId}/auth/saml/login](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.saml_sp_auth.sp_initiated.md)
 - [GET /companies/{companyId}/auth/saml/metadata.xml](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.saml_sp_auth.sp_metadata_xml.md): Peach acts as the service provider
 - [POST /companies/{companyId}/auth/send-one-time-code](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.send_one_time_code.md): Send a one time code to a phone number or email address. For phone numbers, the code can be sent via text or voice.
 - [DELETE /compliance/auth/token](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.compliance_logout.md)
 - [POST /compliance/auth/token](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.compliance_validate_and_send_token.md)
 - [PUT /compliance/auth/token](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.compliance_renew_jwt_token.md)
 - [PUT /users/{userId}/auth](https://docs.peachfinance.com/api-docs/api-public/auth/peach.security.handlers.user_auth_replace.md): Replace the user's authentication values from scratch. The authentication type is derived from the company config.
## API Keys

 - [GET /keys](https://docs.peachfinance.com/api-docs/api-public/api-keys/peach.security.api_keys.handlers.company_api_keys_get_all.md)
 - [POST /keys](https://docs.peachfinance.com/api-docs/api-public/api-keys/peach.security.api_keys.handlers.company_api_key_create.md)
 - [DELETE /keys/{keyId}](https://docs.peachfinance.com/api-docs/api-public/api-keys/peach.security.api_keys.handlers.company_api_key_delete.md)
 - [GET /keys/{keyId}](https://docs.peachfinance.com/api-docs/api-public/api-keys/peach.security.api_keys.handlers.company_api_key_get.md)
 - [PUT /keys/{keyId}](https://docs.peachfinance.com/api-docs/api-public/api-keys/peach.security.api_keys.handlers.company_api_key_update.md)
## Borrowers

 - [GET /people](https://docs.peachfinance.com/api-docs/api-public/borrowers/peach.people.handlers.borrowers_list.md): Get borrowers filtering with optional parameters.
 - [POST /people](https://docs.peachfinance.com/api-docs/api-public/borrowers/peach.people.handlers.borrower_create.md): Create a new borrower.
 - [GET /people/search](https://docs.peachfinance.com/api-docs/api-public/borrowers/peach.people.handlers.borrower_search.md): Search for borrowers. Returns same resources as <a href="/api-docs/api-public/borrowers/peach.people.handlers.borrowers_list">/people</a>.
 - [GET /people/{personId}](https://docs.peachfinance.com/api-docs/api-public/borrowers/peach.people.handlers.borrower_get.md): Get an existing borrower by ID.
 - [PUT /people/{personId}](https://docs.peachfinance.com/api-docs/api-public/borrowers/peach.people.handlers.borrower_update.md): Update an existing borrower.
## Identity

 - [GET /people/{personId}/identities](https://docs.peachfinance.com/api-docs/api-public/identity/peach.people.handlers.list_identities.md)
 - [POST /people/{personId}/identities](https://docs.peachfinance.com/api-docs/api-public/identity/peach.people.handlers.create_identity.md)
 - [DELETE /people/{personId}/identities/{personIdentityId}](https://docs.peachfinance.com/api-docs/api-public/identity/peach.people.handlers.delete_identity.md): Primary identities cannot be archived.
 - [GET /people/{personId}/identities/{personIdentityId}](https://docs.peachfinance.com/api-docs/api-public/identity/peach.people.handlers.get_identity.md)
 - [PUT /people/{personId}/identities/{personIdentityId}](https://docs.peachfinance.com/api-docs/api-public/identity/peach.people.handlers.update_identity.md): For primary identities, the `isArchived` field cannot be changed.
 - [GET /people/{personId}/identity](https://docs.peachfinance.com/api-docs/api-public/identity/peach.people.handlers.get_primary_identity.md)
## Contact Information

 - [GET /people/{personId}/contacts](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.list_contacts_for_borrower.md): List contacts for a borrower.
 - [POST /people/{personId}/contacts](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.create_contact_for_borrower.md): Create contact for a borrower.
 - [DELETE /people/{personId}/contacts/{contactId}](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.delete_contact.md): Delete a borrower's contact.
 - [GET /people/{personId}/contacts/{contactId}](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.get_contact_for_borrower.md)
 - [PUT /people/{personId}/contacts/{contactId}](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.update_contact_for_borrower.md): Update contact of a borrower.
 - [POST /people/{personId}/contacts/{contactId}/clone](https://docs.peachfinance.com/api-docs/api-public/contact-information/peach.people.contact.handlers.clone_contact.md): Clones the borrower's contact information. This copies all properties from the existing contact and applies the passed properties. Sets `externalId` of the existing contact to `null`. Sets the `status
## Payment Instruments

 - [GET /people/{personId}/payment-instruments](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_get_all.md)
 - [POST /people/{personId}/payment-instruments](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_create.md): Create a payment instrument. When creating a payment instrument using the Plaid Account option, two flows are supported: 1) Pass only `accessToken` and `accountIds`. This will create a payment instrum
 - [DELETE /people/{personId}/payment-instruments/{paymentInstrumentId}](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_delete.md)
 - [GET /people/{personId}/payment-instruments/{paymentInstrumentId}](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_get.md)
 - [PUT /people/{personId}/payment-instruments/{paymentInstrumentId}](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_update.md)
 - [DELETE /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.account_link_delete.md): Retrieve the data vendor link details for this payment instrument.
 - [POST /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.account_link_post.md): Add a data vendor link for this payment instrument. If one is already present, it is replaced.
 - [PUT /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.account_link_put.md): Update record keeping details about the account link. This can not be used to set up a new account link.
 - [GET /people/{personId}/payment-instruments/{paymentInstrumentId}/balance](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.balances_get.md): Get stored balance data for the account associated with the payment instrument.
 - [POST /people/{personId}/payment-instruments/{paymentInstrumentId}/balance](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.balances_post.md): Fetch updated balance data from the account link associated with this payment instrument.
 - [POST /people/{personId}/payment-instruments/{paymentInstrumentId}/verify](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_verify.md)
## Consent

 - [GET /people/{personId}/consents](https://docs.peachfinance.com/api-docs/api-public/consent/peach.people.handlers.consent_get.md): Get all consent associated with a borrower.
 - [PUT /people/{personId}/consents](https://docs.peachfinance.com/api-docs/api-public/consent/peach.people.handlers.consent_update.md): Update the consents
## Documents

 - [POST /document-uploads/{documentUploadLinkKey}/documents](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.documents_via_links.create_document_via_link.md)
 - [POST /document-uploads/{documentUploadLinkKey}/documents/{documentDescriptorId}/content](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.documents_via_links.upload_document_content_via_link.md)
 - [GET /people/{personId}/document-upload-links](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.document_upload_links.get_document_upload_links.md)
 - [POST /people/{personId}/document-upload-links](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.document_upload_links.create_document_upload_link.md)
 - [GET /people/{personId}/document-upload-links/{documentUploadLinkId}](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.document_upload_links.get_document_upload_link.md)
 - [GET /people/{personId}/documents](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.list_person_documents.md)
 - [POST /people/{personId}/documents](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.create_person_document.md)
 - [DELETE /people/{personId}/documents/{documentDescriptorId}](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.delete_document.md)
 - [GET /people/{personId}/documents/{documentDescriptorId}](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.get_person_document.md)
 - [PUT /people/{personId}/documents/{documentDescriptorId}](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.update_person_document.md)
 - [GET /people/{personId}/documents/{documentDescriptorId}/content](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.download_person_document_content.md)
 - [POST /people/{personId}/documents/{documentDescriptorId}/content](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.upload_person_document_content.md)
 - [POST /people/{personId}/documents/{documentDescriptorId}/convert](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.convert_person_document.md)
 - [POST /people/{personId}/documents/{documentDescriptorId}/sign](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.sign_person_pdf_document.md)
## Legal Representation

 - [GET /people/{personId}/legal-representatives](https://docs.peachfinance.com/api-docs/api-public/legal-representation/peach.people.legal.handlers.legal_representative_get_all.md)
 - [POST /people/{personId}/legal-representatives](https://docs.peachfinance.com/api-docs/api-public/legal-representation/peach.people.legal.handlers.legal_representative_add.md)
 - [GET /people/{personId}/legal-representatives/{legalRepresentativeId}](https://docs.peachfinance.com/api-docs/api-public/legal-representation/peach.people.legal.handlers.legal_representative_get_by_id.md)
 - [PUT /people/{personId}/legal-representatives/{legalRepresentativeId}](https://docs.peachfinance.com/api-docs/api-public/legal-representation/peach.people.legal.handlers.legal_representative_update.md)
## Verifications

 - [GET /people/{personId}/verifications](https://docs.peachfinance.com/api-docs/api-public/verifications/peach.people.borrower_verification.handlers.borrower_verification_get_all.md): Retrieve all verifications—optionally filtering. Note that unlike most Peach "get all" endpoints, the verifications get all endpoint returns items in a reverse chronological list, since almost all int
 - [POST /people/{personId}/verifications](https://docs.peachfinance.com/api-docs/api-public/verifications/peach.people.borrower_verification.handlers.borrower_verification_create.md): Start a borrower verification session. Newly created verifications include randomly selected questions about the borrower. The human must attempt to provide correct answers to these questions in order
 - [GET /people/{personId}/verifications/{verificationId}](https://docs.peachfinance.com/api-docs/api-public/verifications/peach.people.borrower_verification.handlers.borrower_verification_get.md)
 - [POST /people/{personId}/verifications/{verificationId}/attempts](https://docs.peachfinance.com/api-docs/api-public/verifications/peach.people.borrower_verification.handlers.borrower_verification_answer_attempt_create.md)
## Verification Types

 - [GET /verification-questions](https://docs.peachfinance.com/api-docs/api-public/verification-types/peach.borrower_verification.handlers.borrower_verification_questions_get_all.md): Retrieve all the questions which are available for use with verification types—i.e., the question bank.
 - [GET /verification-types](https://docs.peachfinance.com/api-docs/api-public/verification-types/peach.borrower_verification.handlers.borrower_verification_types_get_all.md)
 - [POST /verification-types](https://docs.peachfinance.com/api-docs/api-public/verification-types/peach.borrower_verification.handlers.borrower_verification_types_create.md): Create a new borrower verification type. This represents one configuration of how to perform borrower verifications. Later, when starting a new borrower verification, you can then specify a particular
 - [GET /verification-types/{verificationTypeId}](https://docs.peachfinance.com/api-docs/api-public/verification-types/peach.borrower_verification.handlers.borrower_verification_types_get_one.md)
 - [PUT /verification-types/{verificationTypeId}](https://docs.peachfinance.com/api-docs/api-public/verification-types/peach.borrower_verification.handlers.borrower_verification_types_update.md)
## Campaign Overview

## Campaigns

 - [GET /campaigns](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers.campaign_get_all.md): Get a list of all campaigns.
 - [POST /campaigns](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers.campaign_create.md): Create a new campaign by associating a Redash query that returns a single column containing borrower IDs labeled "id". The campaign can also be scheduled.
 - [GET /campaigns/{borrowerCampaignId}](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers.campaign_get.md): Get a campaign by ID.
 - [PUT /campaigns/{borrowerCampaignId}](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers.campaign_update.md): Update a campaign by ID.
 - [GET /campaigns/{borrowerCampaignId}/runs](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers_runs.campaign_run_list.md): Get a list of campaign runs.
 - [POST /campaigns/{borrowerCampaignId}/runs](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers_runs.campaign_run_create.md): Start a new borrower campaign run and save results. The behavior of the campaign run is controlled by configured settings on the campaign object and via the associated `BulkSender` and `ContextExporte
 - [GET /campaigns/{borrowerCampaignId}/runs/{borrowerCampaignRunId}](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers_runs.campaign_run_read.md): Get campaign run data by ID.
 - [PUT /campaigns/{borrowerCampaignId}/runs/{borrowerCampaignRunId}](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers_runs.campaign_run_update.md): Update campaign run data.
 - [GET /campaigns/{borrowerCampaignId}/runs/{borrowerCampaignRunId}/download](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers_runs.campaign_run_download.md): Download files generated by a campaign run.
 - [GET /companies/{companyId}/campaigns/{borrowerCampaignId}/runs](https://docs.peachfinance.com/api-docs/api-public/campaigns/peach.people.campaigns.handlers_runs.internal_campaign_run_list.md): Get a list of campaign runs.
## Contact Exporters

 - [GET /campaign-workers/contact-exporters](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_list.md): Get a list of all contact exporters.
 - [POST /campaign-workers/contact-exporters](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_create.md): Create a new Contact Exporter by defining the contact matching criteria and the exportable columns. If desired, designate an SFTP setting and/or screen through Compliance Guard. When contacts are scre
 - [DELETE /campaign-workers/contact-exporters/{contactExporterId}](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_delete.md): Delete a contact exporter by ID.
 - [GET /campaign-workers/contact-exporters/{contactExporterId}](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_get_by_id.md): Get a contact exporter by ID.
 - [PUT /campaign-workers/contact-exporters/{contactExporterId}](https://docs.peachfinance.com/api-docs/api-public/contact-exporters/peach.people.contact_exporters.handlers.contact_exporter_update.md): Update a contact exporter by ID.
## Bulk Senders

 - [GET /campaign-workers/bulk-senders](https://docs.peachfinance.com/api-docs/api-public/bulk-senders/peach.people.campaigns.handlers_workers.bulk_sender_list.md): Get a list of all bulk senders.
 - [POST /campaign-workers/bulk-senders](https://docs.peachfinance.com/api-docs/api-public/bulk-senders/peach.people.campaigns.handlers_workers.bulk_sender_create.md): Create a new bulk sender.
 - [DELETE /campaign-workers/bulk-senders/{bulkSenderId}](https://docs.peachfinance.com/api-docs/api-public/bulk-senders/peach.people.campaigns.handlers_workers.bulk_sender_delete.md): Delete a bulk sender by ID.
 - [GET /campaign-workers/bulk-senders/{bulkSenderId}](https://docs.peachfinance.com/api-docs/api-public/bulk-senders/peach.people.campaigns.handlers_workers.bulk_sender_get.md): Get a bulk sender by ID.
 - [PUT /campaign-workers/bulk-senders/{bulkSenderId}](https://docs.peachfinance.com/api-docs/api-public/bulk-senders/peach.people.campaigns.handlers_workers.bulk_sender_update.md): Update the existing bulk sender
## Cases

 - [GET /active-escalations](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.escalations.handlers.case_open_escalations_get_by_company.md): List active case escalations for a company
 - [GET /cases](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.list_cases_by_company.md): Get all cases. Returns only borrower-bound cases by default.
 - [GET /people/{personId}/cases](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.list_cases_by_borrower.md): Get all cases associated with a borrower.
 - [POST /people/{personId}/cases](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.create_case.md): Create a new case and associate it with a borrower using their ID.
 - [DELETE /people/{personId}/cases/{caseId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.remove_case_association.md): Remove association of an existing `case`, `interaction`, `loan`, or `file` objects from the case.
 - [GET /people/{personId}/cases/{caseId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.get_case_by_id.md)
 - [POST /people/{personId}/cases/{caseId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.add_case_association.md): Associate an existing `case`, `interaction`, `loan`, or `file` objects to the case. This way you can create comprehensive view of the case.
 - [PUT /people/{personId}/cases/{caseId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.update_case.md): Update a case associated with a borrower.
 - [GET /people/{personId}/cases/{caseId}/escalations](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.escalations.handlers.case_escalations_get.md): List case escalations
 - [POST /people/{personId}/cases/{caseId}/escalations](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.escalations.handlers.case_escalations_create.md): Escalate or de-escalate a case
 - [GET /people/{personId}/cases/{caseId}/escalations/{caseEscalationId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.escalations.handlers.case_escalation_get_by_id.md): List case escalations
 - [POST /people/{personId}/cases/{caseId}/snooze](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.snooze_case.md): Snooze the case or cancel the case snooze.
 - [POST /people/{personId}/cases/{caseId}/views](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.view_case.md): Mark a case as viewed by the current user
## Case Types

 - [GET /case-types](https://docs.peachfinance.com/api-docs/api-public/case-types/peach.cases.case_types.handlers.list_case_type.md)
 - [POST /case-types](https://docs.peachfinance.com/api-docs/api-public/case-types/peach.cases.case_types.handlers.create_case_type.md)
 - [GET /case-types/{caseTypeId}](https://docs.peachfinance.com/api-docs/api-public/case-types/peach.cases.case_types.handlers.get_case_type_by_id.md)
 - [PUT /case-types/{caseTypeId}](https://docs.peachfinance.com/api-docs/api-public/case-types/peach.cases.case_types.handlers.update_case_type.md): A `PUT` request is used to update an existing type configuration. While the type is in `draft` status requests can move it to `active`. Setting the `status` to `deprecated` will immediately hide it fr
 - [DELETE /case-types/{caseTypeId}/associations](https://docs.peachfinance.com/api-docs/api-public/case-types/peach.cases.case_types.handlers.case_type_remove_association.md)
 - [POST /case-types/{caseTypeId}/associations](https://docs.peachfinance.com/api-docs/api-public/case-types/peach.cases.case_types.handlers.case_type_add_association.md)
 - [POST /case-types/{caseTypeId}/create-smart-review-tasks](https://docs.peachfinance.com/api-docs/api-public/case-types/peach.cases.case_types.handlers.create_smart_review_tasks.md)
## Smart Reviews

 - [Key Dates](https://docs.peachfinance.com/api-docs/api-public/smart-reviews/key-dates.md): ## Key Dates For most case types, configuration revolves around 'key dates' and you specify when you want a reminder task to be created relative to these key dates: ``` GET /case-type/{caseTypeId} /
 - [Collections](https://docs.peachfinance.com/api-docs/api-public/smart-reviews/collections.md): ## Collections `collection` type cases operate on a different set of rules: The field `objectsPreventingReminderTasks` is an array of any combination of the following string values: - `dni` - `schedul
## Supercases

 - [GET /supercases](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_list.md)
 - [POST /supercases](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_create.md): Creates a new supercase.
 - [GET /supercases/members-template.csv](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_members_template_csv.md)
 - [GET /supercases/{supercaseId}](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_get.md)
 - [PUT /supercases/{supercaseId}](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_update.md)
 - [POST /supercases/{supercaseId}/bulk-create-do-not-interact](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_bulk_create_dni.md)
 - [POST /supercases/{supercaseId}/bulk-delete-do-not-interact](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_bulk_delete_dni.md)
 - [GET /supercases/{supercaseId}/bulk-operations](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_bulk_operation_list.md)
 - [GET /supercases/{supercaseId}/bulk-operations/search](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_bulk_operation_search.md)
 - [GET /supercases/{supercaseId}/bulk-operations/{supercaseBulkOperationId}](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_bulk_operation_get.md)
 - [GET /supercases/{supercaseId}/bulk-operations/{supercaseBulkOperationId}/member-bulk-operation-results](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.get_member_bulk_operation_results_by_operation.md): Returns a list of member bulk operation results for the supercase bulk operation. Each member bulk operation result represents a member that was affected by the operation.
 - [GET /supercases/{supercaseId}/bulk-operations/{supercaseBulkOperationId}/target-populations](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.get_bulk_operation_target_populations.md): Returns a list of target populations for the supercase bulk operation. Each target population represents a set of members that will be affected by the operation.
 - [POST /supercases/{supercaseId}/bulk-send](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_bulk_send_message.md)
 - [POST /supercases/{supercaseId}/bulk-update](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_bulk_update.md)
 - [GET /supercases/{supercaseId}/case-count](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.supercase_case_count.md)
 - [GET /supercases/{supercaseId}/documents](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.documents.get_supercase_documents.md)
 - [POST /supercases/{supercaseId}/documents](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.documents.add_supercase_documents.md)
 - [PUT /supercases/{supercaseId}/documents](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.documents.set_supercase_documents.md)
 - [GET /supercases/{supercaseId}/global-notes](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.notes.global_note_list.md)
 - [POST /supercases/{supercaseId}/global-notes](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.notes.global_note_create.md)
 - [GET /supercases/{supercaseId}/global-notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.notes.global_note_get.md)
 - [PUT /supercases/{supercaseId}/global-notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.notes.global_note_update.md)
 - [GET /supercases/{supercaseId}/notes](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.notes.private_note_list.md)
 - [POST /supercases/{supercaseId}/notes](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.notes.private_note_create.md)
 - [GET /supercases/{supercaseId}/notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.notes.private_note_get.md)
 - [PUT /supercases/{supercaseId}/notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.notes.private_note_update.md)
 - [GET /supercases/{supercaseId}/populations](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.population_list.md)
 - [GET /supercases/{supercaseId}/populations/draft](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.draft_population_get.md)
 - [POST /supercases/{supercaseId}/populations/draft/commit](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.draft_population_commit.md): Creates subcases for all members of the draft population and moves the population to the committed state.
 - [GET /supercases/{supercaseId}/populations/draft/members](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.draft_population_members_list.md)
 - [POST /supercases/{supercaseId}/populations/draft/members](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.draft_population_members_add.md): Add to the current population membership the members in this request.
 - [PUT /supercases/{supercaseId}/populations/draft/members](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.draft_population_members_set.md): Set the draft population membership to the population in this request. (Removing all current members if they exist.)
 - [GET /supercases/{supercaseId}/populations/draft/members.csv](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.draft_population_members_list_csv.md)
 - [POST /supercases/{supercaseId}/populations/draft/members.csv](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.draft_population_members_add_csv.md): Add to the current population membership with the population in this request. Format is a CSV document.
 - [PUT /supercases/{supercaseId}/populations/draft/members.csv](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.draft_population_members_set_csv.md): Set the current population membership to the population in this request. (Removing all current members if they exist.) Format is a CSV document.
 - [GET /supercases/{supercaseId}/populations/members.csv](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.committed_members_list_csv.md)
 - [GET /supercases/{supercaseId}/populations/{populationId}](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.population_get.md)
 - [PUT /supercases/{supercaseId}/populations/{populationId}](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.population_update.md): Update the population.
 - [POST /supercases/{supercaseId}/populations/{populationId}/bulk-send](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.population_bulk_send_message.md)
 - [GET /supercases/{supercaseId}/populations/{populationId}/members](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.population_members_list.md)
 - [GET /supercases/{supercaseId}/populations/{populationId}/members.csv](https://docs.peachfinance.com/api-docs/api-public/supercases/peach.supercases.handlers.population_members_list_csv.md)
## Do Not Interact

 - [GET /people/{personId}/cases/{caseId}/do-not-interacts](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_get_all.md): Get the all `DoNoInteract` instances associated with a case.
 - [POST /people/{personId}/cases/{caseId}/do-not-interacts](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_create.md)
 - [DELETE /people/{personId}/cases/{caseId}/do-not-interacts/{doNotInteractId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_delete.md): Update a `DoNotInteract` instance to have `inactive` status, and set the end date.
 - [GET /people/{personId}/cases/{caseId}/do-not-interacts/{doNotInteractId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_get_by_id.md): Get a single `DoNotInteract` object instance for the borrower using a unique ID.
 - [PUT /people/{personId}/cases/{caseId}/do-not-interacts/{doNotInteractId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_update.md): Update a `DoNotInteract` instance with new information.
 - [GET /people/{personId}/do-not-interacts](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.people.do_not_interact.handlers.do_not_interact_get_all.md): Get the all `DoNoInteract` instances associated with a borrower.
## Do Not Interact Types

 - [GET /do-not-interact-types](https://docs.peachfinance.com/api-docs/api-public/do-not-interact-types/peach.cases.events.handlers.do_not_interact_type.do_not_interact_type_get_all.md)
 - [POST /do-not-interact-types](https://docs.peachfinance.com/api-docs/api-public/do-not-interact-types/peach.cases.events.handlers.do_not_interact_type.do_not_interact_type_create.md)
 - [GET /do-not-interact-types/{doNotInteractTypeId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact-types/peach.cases.events.handlers.do_not_interact_type.do_not_interact_type_get_by_id.md)
 - [PUT /do-not-interact-types/{doNotInteractTypeId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact-types/peach.cases.events.handlers.do_not_interact_type.do_not_interact_type_update.md): Change the triggering conditions and settings of a `draft` type, or update the `status` of an `active` type to `deprecated`. Doing the later will create a new `draft` version of the configuration unle
## Notification Types

 - [GET /notification-types](https://docs.peachfinance.com/api-docs/api-public/notification-types/peach.cases.events.handlers.notifications.notification_type_get_all.md)
 - [POST /notification-types](https://docs.peachfinance.com/api-docs/api-public/notification-types/peach.cases.events.handlers.notifications.notification_type_create.md): Create a new type configuration for triggering notifications.
 - [GET /notification-types/{notificationTypeId}](https://docs.peachfinance.com/api-docs/api-public/notification-types/peach.cases.events.handlers.notifications.notification_type_get_by_id.md)
 - [PUT /notification-types/{notificationTypeId}](https://docs.peachfinance.com/api-docs/api-public/notification-types/peach.cases.events.handlers.notifications.notification_type_update.md): Change the triggering conditions and settings of a `draft` type, or update the `status` of an `active` type to `deprecated`.
## Notes

 - [GET /interactions/{interactionId}/notes](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.list_interaction_notes.md)
 - [POST /interactions/{interactionId}/notes](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.create_interaction_note.md)
 - [GET /interactions/{interactionId}/notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.get_interaction_note.md)
 - [PUT /interactions/{interactionId}/notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.update_interaction_note.md)
 - [GET /people/{personId}/cases/{caseId}/notes](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.list_case_notes.md)
 - [POST /people/{personId}/cases/{caseId}/notes](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.create_case_note.md)
 - [GET /people/{personId}/cases/{caseId}/notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.get_case_note.md)
 - [PUT /people/{personId}/cases/{caseId}/notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.update_case_note.md)
 - [GET /people/{personId}/interaction-notes](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.list_borrower_interaction_notes.md)
 - [GET /people/{personId}/notes](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.list_borrower_notes.md)
 - [POST /people/{personId}/notes](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.create_borrower_note.md)
 - [GET /people/{personId}/notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.get_borrower_note.md)
 - [PUT /people/{personId}/notes/{noteId}](https://docs.peachfinance.com/api-docs/api-public/notes/peach.notes.handlers.update_borrower_note.md)
## Workflows

 - [GET /companies/{companyId}/people/{personId}/cases/{caseId}/workflow](https://docs.peachfinance.com/api-docs/api-public/workflows/peach.workflows.handlers.get_case_workflow.md)
 - [PUT /companies/{companyId}/people/{personId}/cases/{caseId}/workflow/steps/{workflowStepId}](https://docs.peachfinance.com/api-docs/api-public/workflows/peach.workflows.handlers.update_workflow_step.md)
 - [PUT /companies/{companyId}/people/{personId}/cases/{caseId}/workflow/steps/{workflowStepId}/workitems/{workflowWorkitemId}](https://docs.peachfinance.com/api-docs/api-public/workflows/peach.workflows.handlers.update_workflow_workitem.md)
## Workflow Types

 - [GET /companies/{companyId}/workflow-step-types](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.get_workflow_step_types.md)
 - [POST /companies/{companyId}/workflow-step-types](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.create_workflow_step_type.md)
 - [DELETE /companies/{companyId}/workflow-step-types/{workflowStepTypeId}](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.delete_workflow_step_type.md)
 - [GET /companies/{companyId}/workflow-step-types/{workflowStepTypeId}](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.get_workflow_step_type_by_id.md)
 - [PUT /companies/{companyId}/workflow-step-types/{workflowStepTypeId}](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.update_workflow_step_type.md)
 - [GET /companies/{companyId}/workflow-types](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.get_workflow_types.md)
 - [POST /companies/{companyId}/workflow-types](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.create_workflow_type.md)
 - [POST /companies/{companyId}/workflow-types/export](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.export_workflow_types.md)
 - [POST /companies/{companyId}/workflow-types/import](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.import_workflow_types.md)
 - [DELETE /companies/{companyId}/workflow-types/{workflowTypeId}](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.delete_workflow_type.md)
 - [GET /companies/{companyId}/workflow-types/{workflowTypeId}](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.get_workflow_type_by_id.md)
 - [PUT /companies/{companyId}/workflow-types/{workflowTypeId}](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.update_workflow_type.md)
 - [GET /companies/{companyId}/workflow-workitem-types](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.get_workitem_types.md)
 - [POST /companies/{companyId}/workflow-workitem-types](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.create_workitem_type.md)
 - [DELETE /companies/{companyId}/workflow-workitem-types/{workflowWorkitemTypeId}](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.delete_workitem_type.md)
 - [GET /companies/{companyId}/workflow-workitem-types/{workflowWorkitemTypeId}](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.get_workitem_type_by_id.md)
 - [PUT /companies/{companyId}/workflow-workitem-types/{workflowWorkitemTypeId}](https://docs.peachfinance.com/api-docs/api-public/workflow-types/peach.workflows.handlers.update_workitem_type.md)
## Tasks

 - [GET /companies/{companyId}/twilio-queues](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers.get_all_queues.md): Get information on task queues such as friendly name and task statistics.
 - [GET /companies/{companyId}/twilio-terminated-tasks](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers_task_history.task_history_list.md)
 - [GET /companies/{companyId}/twilio-terminated-tasks/{taskHistoryId}](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers_task_history.task_history_get.md)
 - [POST /companies/{companyId}/twilio-terminated-tasks/{taskHistoryId}/clone](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers_task_history.task_history_clone.md)
 - [DELETE /companies/{companyId}/twilio-unterminated-tasks](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers.delete_unterminated_tasks.md): Bulk delete unterminated tasks from Twilio API. (this proxy's Twilio's Task API). An "unterminated" task is an "active" task—or any task which has yet to have its task assignment status set to `comple
 - [GET /companies/{companyId}/twilio-unterminated-tasks](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers.list_unterminated_tasks.md): Reads unterminated task from Twilio API. (This essentially proxies Twilio's Task API). Note that paging works differently on this endpoint in order for compatibility with the Twilio API—but you can st
 - [DELETE /companies/{companyId}/twilio-unterminated-tasks/{taskSid}](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers.delete_unterminated_task.md): Delete the unterminated task from Twilio API (this proxy's Twilio's Task API). The deleted task immediately has its assignment status transition to `canceled`. This also generates the Twilio event `ta
 - [GET /companies/{companyId}/twilio-unterminated-tasks/{taskSid}](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers.read_unterminated_task.md): Read's the specified unterminated task from Twilio API (this proxy's Twilio's Task API). An "unterminated" task is an "active" task—or any task which has yet to have its task assignment status set to
 - [POST /companies/{companyId}/twilio-unterminated-tasks/{taskSid}/abandon](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers.abandon_accepted_task.md): Abandon an unterminated, accepted task. i.e., Mark the task as "Unable to Complete" and create a duplicate task. An "unterminated" task is an "active" task—or any task which has yet to have its task a
 - [GET /companies/{companyId}/twilio-workers](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers_workers.list_workers.md): List all Taskrouter Workers. Note that this endpoint returns *all* Twilio workers up to 10,000—i.e., there is no paging. It may suffer from poor performance for large numbers of workers.
 - [GET /twilio/tasktype-availability](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers.get_tasktype_availability.md)
 - [PUT /twilio/tasktype-availability](https://docs.peachfinance.com/api-docs/api-public/tasks/peach.twilio.taskrouter.handlers.update_tasktype_availability.md)
## Task-Worker Pairing Configs

 - [GET /companies/{companyId}/task-worker-pairing-configs](https://docs.peachfinance.com/api-docs/api-public/task-worker-pairing-configs/peach.twilio.taskrouter.handlers_task_worker_pairing_configs.task_worker_pairing_config_list.md): List the task-worker pairing configs for a company.
 - [POST /companies/{companyId}/task-worker-pairing-configs](https://docs.peachfinance.com/api-docs/api-public/task-worker-pairing-configs/peach.twilio.taskrouter.handlers_task_worker_pairing_configs.task_worker_pairing_config_create.md): Create a new task-worker pairing config. Changes here will not take effect until synchronization is run. See: <a href="/api-docs/api-public/task-worker-pairing-configs/peach.twilio.taskrouter.handlers
 - [POST /companies/{companyId}/task-worker-pairing-configs/sync](https://docs.peachfinance.com/api-docs/api-public/task-worker-pairing-configs/peach.twilio.taskrouter.handlers_task_worker_pairing_configs.task_worker_pairing_config_sync.md): Perform synchronization of task-worker pairing config to Twilio. API changes to task-worker pairing configs will have no effect until this synchronization is run.
 - [DELETE /companies/{companyId}/task-worker-pairing-configs/{taskWorkerPairingConfigId}](https://docs.peachfinance.com/api-docs/api-public/task-worker-pairing-configs/peach.twilio.taskrouter.handlers_task_worker_pairing_configs.task_worker_pairing_config_delete.md): Delete a task-worker pairing config. Changes here will not take effect until synchronization is run. See: <a href="/api-docs/api-public/task-worker-pairing-configs/peach.twilio.taskrouter.handlers_tas
 - [GET /companies/{companyId}/task-worker-pairing-configs/{taskWorkerPairingConfigId}](https://docs.peachfinance.com/api-docs/api-public/task-worker-pairing-configs/peach.twilio.taskrouter.handlers_task_worker_pairing_configs.task_worker_pairing_config_get.md)
 - [PUT /companies/{companyId}/task-worker-pairing-configs/{taskWorkerPairingConfigId}](https://docs.peachfinance.com/api-docs/api-public/task-worker-pairing-configs/peach.twilio.taskrouter.handlers_task_worker_pairing_configs.task_worker_pairing_config_update.md): Update a task-worker pairing config. Changes here will not take effect until synchronization is run. See: <a href="/api-docs/api-public/task-worker-pairing-configs/peach.twilio.taskrouter.handlers_tas
## Loans

 - [GET /loans](https://docs.peachfinance.com/api-docs/api-public/loans/peach.loans.handlers.loans_get_by_company.md): Get all loans associated with a company.
 - [GET /people/{personId}/loans](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loans_get.md)
 - [POST /people/{personId}/loans](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loans_add.md): Add a new loan.
 - [GET /people/{personId}/loans/{loanId}](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_get.md)
 - [PUT /people/{personId}/loans/{loanId}](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_update.md)
 - [POST /people/{personId}/loans/{loanId}/accelerate](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_accelerate.md): The accelerate endpoint will change the status of an `active` loan to `accelerated`, and trigger any acceleration-related logic and accounting treatment. Acceleration is only valid for installment and
 - [POST /people/{personId}/loans/{loanId}/activate](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_activate.md)
 - [POST /people/{personId}/loans/{loanId}/cancel](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_cancel.md): The cancel loan endpoint will change the status of a loan to `canceled`, and trigger any cancellation-related logic, such as removing a loan from active monitoring and handling the accounting treatmen
 - [POST /people/{personId}/loans/{loanId}/charge-off](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_charge_off.md): The charge-off endpoint will change the status of a loan to `chargedOff`, and trigger any charge-off-related logic and accounting treatment. A loan must be in `accelerated` status before being moved t
 - [POST /people/{personId}/loans/{loanId}/close](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_close.md): Closing a loan - For line of credit - Prevents new draws from being opened and closes existing draws to block new purchases. - For installment loan with multiple advances - Prevents new advances from
 - [GET /people/{personId}/loans/{loanId}/credit-limit](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_get_credit_limit.md)
 - [POST /people/{personId}/loans/{loanId}/credit-limit](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_update_credit_limit.md)
 - [POST /people/{personId}/loans/{loanId}/freeze](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_freeze.md): Freeze loan will change the status of an `active` loan to `frozen` effective as of the current date. The loan will remain in a frozen status until the Unfreeze endpoint is called.
 - [GET /people/{personId}/loans/{loanId}/lock-status](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.get_lock_status.md)
 - [POST /people/{personId}/loans/{loanId}/migrate](https://docs.peachfinance.com/api-docs/api-public/loans/peach.loans.migration.handlers.loan_migrate.md)
 - [POST /people/{personId}/loans/{loanId}/refresh](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_refresh.md): In the case that a loan is out of sync, the refresh endpoint will make sure that obligations, expected payments, and interest accrual is brought into sync. Refresh loan is only valid for the statuses
 - [POST /people/{personId}/loans/{loanId}/reimburse](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_reimburse.md): The reimburse endpoint should be used when the lender owes money to a borrower on a given loan. The endpoint will execute a reimbursement according to the specified `reimbursementAmount`. If the `reim
 - [POST /people/{personId}/loans/{loanId}/reopen](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_reopen.md): Reopen a closed line of credit. This will allow new draws to be added. By default, draws in `paidOff` status will not be reopened, and a line of credit that has transitioned to `paidOff` status cannot
 - [POST /people/{personId}/loans/{loanId}/reverse-accelerate](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_accelerate_reverse.md): A loan must be in `accelerated` status to be reversed. The reverse accelerate endpoint will reverse a loan in `accelerated` status, and roll back any acceleration-related logic and accounting treatmen
 - [POST /people/{personId}/loans/{loanId}/reverse-charge-off](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_charge_off_reverse.md): A loan must be in `chargedOff` status to be reversed. The reverse charge-off endpoint will reverse a loan in `chargedOff` status, and roll back any charge-off-related logic and accounting treatment. R
 - [POST /people/{personId}/loans/{loanId}/unfreeze](https://docs.peachfinance.com/api-docs/api-public/loans/peach.people.loans.handlers.loan_unfreeze.md): The Unfreeze endpoint will change the status of a `frozen` loan back to `active`, `accelerated` or `chargedOff`. If the account was overdue before it was frozen, the system will use the earliest overd
## Installment Advances

 - [GET /people/{personId}/loans/{loanId}/advances](https://docs.peachfinance.com/api-docs/api-public/installment-advances/peach.people.loans.installment_advances.handlers.get_loan_advances.md): Returns an installment loan's advances
 - [POST /people/{personId}/loans/{loanId}/advances](https://docs.peachfinance.com/api-docs/api-public/installment-advances/peach.people.loans.installment_advances.handlers.create_loan_advance.md)
 - [GET /people/{personId}/loans/{loanId}/advances/{advanceId}](https://docs.peachfinance.com/api-docs/api-public/installment-advances/peach.people.loans.installment_advances.handlers.get_loan_advance.md): Returns an installment loan advance
 - [PUT /people/{personId}/loans/{loanId}/advances/{advanceId}](https://docs.peachfinance.com/api-docs/api-public/installment-advances/peach.people.loans.installment_advances.handlers.update_loan_advance.md)
## Installment Refunds

 - [GET /people/{personId}/loans/{loanId}/refunds](https://docs.peachfinance.com/api-docs/api-public/installment-refunds/peach.people.loans.handlers.loan_refunds_get.md): Returns a list of all prior refunds for the loan, as well as the remaining eligible refund amount.
 - [POST /people/{personId}/loans/{loanId}/refunds](https://docs.peachfinance.com/api-docs/api-public/installment-refunds/peach.people.loans.handlers.loan_refunds_post.md): The refund endpoint will execute a full or partial refund according to the `refundAmount` specified. A full refund is equal to the `amountFinancedAtOrigination`. An `atFaultParty` must also be specifi
 - [POST /people/{personId}/loans/{loanId}/refunds-v2](https://docs.peachfinance.com/api-docs/api-public/installment-refunds/peach.people.loans.handlers.loan_refunds_v2_post.md): The refund endpoint will execute a full or partial refund according to the `refundAmount` specified. The total of all refunds cannot exceed the `amountFinanced` (or `principalAmount`) passed at origi
 - [POST /people/{personId}/loans/{loanId}/refunds/{loanRefundId}/cancel](https://docs.peachfinance.com/api-docs/api-public/installment-refunds/peach.people.loans.handlers.loan_refunds_cancel.md): Cancel a refund.
## Line of Credit Draws

 - [POST /people/{personId}/loans/{loanId}/amortize-preview](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.preview_draw_amortize.md): This endpoint is used for previewing draw amortization. The draw must have non-due principal to be amortized. Note: - If the loan type is configured to accrue interest as `accrualMethod=compoundWithFe
 - [GET /people/{personId}/loans/{loanId}/draws](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.loan_draws_get.md)
 - [POST /people/{personId}/loans/{loanId}/draws](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.loan_draws_post.md)
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.loan_draw_get.md)
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_update.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/activate](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_activate.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/amortize](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.loan_draw_amortize.md): This endpoint is used for draw amortization. The draw must have non-due principal to be reamortized. Note: - If the loan type is configured to accrue interest as `accrualMethod=compoundWithFees`, ther
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/cancel](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_cancel.md): The cancel loan endpoint will change the status of a draw to `canceled`, and trigger any cancellation-related logic. An active draw can be canceled if it has no active purchases.
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/close](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_close.md): Closing a draw means that the draw can no longer accept new purchases. The draw will automatically transition to `paidOff` status once all of the following conditions are met: - The draw has no outsta
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/credit-limit](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_get_credit_limit.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/credit-limit](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_update_credit_limit.md)
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}/dynamic-fees](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.fees.handlers.draw_dynamic_fees_at_origination_update.md): Allows lenders to add or remove dynamic fees from a draw going forward. This does not affect balances or fees in the past.
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/min-payment-calculation](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_min_payment_calculation_post.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/reopen](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-draws/peach.people.loans.draws.handlers.draw_reopen.md): Reopen a closed draw. This will allow new purchases to be added to the draw. By default, a draw in `paidOff` status cannot be reopened. Set `force` to `true` to reopen a `paidOff` draw (e.g. for a pos
## Line of Credit Purchases

 - [GET /people/{personId}/loans/{loanId}/disputes](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.loans.purchase_disputes.handlers.purchase_disputes_list_for_loc.md)
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/disputes](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.loans.purchase_disputes.handlers.purchase_disputes_list_for_draw.md)
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/purchases](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.people.loans.purchases.handlers.draw_purchases_get.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/purchases](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.people.loans.purchases.handlers.draw_purchases_create.md)
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/purchases-timeline](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.people.loans.purchases.handlers.draw_purchases_timeline_get.md): Get draw purchases timeline is designed to provide a sequential ordering of purchases using specific purchase timestamps passed to Peach as part of the query parameters. To generate the timeline, Peac
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/purchases/{purchaseId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.people.loans.purchases.handlers.draw_purchase_get_one.md)
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}/purchases/{purchaseId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.people.loans.purchases.handlers.draw_purchase_update.md)
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/purchases/{purchaseId}/disputes](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.loans.purchase_disputes.handlers.purchase_disputes_list_for_purchase.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/purchases/{purchaseId}/disputes](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.loans.purchase_disputes.handlers.purchase_dispute_create.md): Creates a new purchase dispute. Purchases in `authorized` status may not be disputed. They must first be written to the ledger by changing the status of the purchase or creating a new purchase object
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/purchases/{purchaseId}/disputes/{purchaseDisputeId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.loans.purchase_disputes.handlers.purchase_dispute_get.md)
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}/purchases/{purchaseId}/disputes/{purchaseDisputeId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.loans.purchase_disputes.handlers.purchase_dispute_update.md)
 - [GET /people/{personId}/loans/{loanId}/purchases](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.people.loans.purchases.handlers.loan_purchases_get.md)
 - [GET /people/{personId}/loans/{loanId}/purchases-timeline](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-purchases/peach.people.loans.purchases.handlers.loan_purchases_timeline_get.md): Get line of credit purchases timeline is designed to provide a sequential ordering of purchases using specific purchase timestamps passed to Peach as part of the query parameters. To generate the time
## Line of Credit Migration

 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/migration/period](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.migration_period.handlers.migration_period_draw_get.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/migration/period](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.migration_period.handlers.migration_period_draw_create.md): This endpoint allows you to pass additional details about draws in preparation for migration. The "migration period" is the period in which you execute the migration. This is the period from which the
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}/migration/period](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.migration_period.handlers.migration_period_draw_update.md)
 - [DELETE /people/{personId}/loans/{loanId}/migration/past-periods](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.past_periods.handlers.past_periods_data_delete.md): Deletes past period in preparation for migration.
 - [GET /people/{personId}/loans/{loanId}/migration/past-periods](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.past_periods.handlers.past_periods_data_list.md): Get past period in preparation for migration.
 - [POST /people/{personId}/loans/{loanId}/migration/past-periods](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.past_periods.handlers.past_periods_data_create.md): Creates past periods in preparation for migration.
 - [PUT /people/{personId}/loans/{loanId}/migration/past-periods](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.past_periods.handlers.past_periods_data_update.md): Updates past period in preparation for migration.
 - [GET /people/{personId}/loans/{loanId}/migration/past-transaction](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.past_transactions.handlers.past_transaction_data_get_all.md)
 - [POST /people/{personId}/loans/{loanId}/migration/past-transaction](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.past_transactions.handlers.past_transaction_data_create.md): Creates past transaction in preparation for line of credit migration.
 - [GET /people/{personId}/loans/{loanId}/migration/past-transaction/{transactionId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.past_transactions.handlers.past_transaction_data_get_one.md)
 - [PUT /people/{personId}/loans/{loanId}/migration/past-transaction/{transactionId}](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.past_transactions.handlers.past_transaction_data_update.md): Update past transaction in preparation for line of credit migration. Note: After migration, you should call the "Update transaction" endpoint.
 - [GET /people/{personId}/loans/{loanId}/migration/period](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.migration_period.handlers.migration_period_loc_get.md)
 - [POST /people/{personId}/loans/{loanId}/migration/period](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.migration_period.handlers.migration_period_loc_create.md): This endpoint allows you to pass additional details about the line in preparation for migration. The "Migration period" is the period in which you execute the migration. This is the period from which
 - [PUT /people/{personId}/loans/{loanId}/migration/period](https://docs.peachfinance.com/api-docs/api-public/line-of-credit-migration/peach.loans.migration.migration_period.handlers.migration_period_loc_update.md)
## Expected Payments

 - [POST /people/{personId}/loans/{loanId}/defer-due-date](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_due_date_defer.md): Defer single due date takes the amount in a selected due date and defers the amount to another due date in the future. The deferral amount can be moved to an existing due date or alternatively, to a n
 - [POST /people/{personId}/loans/{loanId}/defer-schedule](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_schedule_defer.md): Defer schedule allows lenders to shift the entire expected payments schedule. There are two use cases: Defer during the first period of the loan. In this scenario we "extend" the first period by the r
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/expected-payments](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.draw_expected_payments_get.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/expected-payments/defer-remaining-balances](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.defer_remaining_draw_balances.md): Defer draw single or multiple due dates. The selected due dates to defer can only be due dates for which the statement was already generated. Past due dates should always have statements. Upcoming due
 - [GET /people/{personId}/loans/{loanId}/expected-payments](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_expected_payments_get.md)
 - [POST /people/{personId}/loans/{loanId}/expected-payments](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_change_due_dates_schedule_post.md): Change due date allows the customer to change the frequency of a loan and/or the specific day(s) that due dates will fall on. This is not supported for loans with `periodCalculationType=statementDate`
 - [POST /people/{personId}/loans/{loanId}/expected-payments/defer-remaining-balances](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.defer_remaining_loc_balances.md): Defer line of credit single or multiple due dates. The system will defer amounts across the line of credit and all draws. The selected due dates to defer can only be due dates for which the statement
 - [POST /people/{personId}/loans/{loanId}/payment-plan](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_change_terms.md): Change loan terms creates a customer payment plan for the borrower. There are several options: The first option is passing in `duration`, which we use to calculate the new recurring amount going forwa
## Obligations

 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/obligations](https://docs.peachfinance.com/api-docs/api-public/obligations/peach.obligations.handlers.draw_obligations_get_all.md)
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/obligations/{obligationId}](https://docs.peachfinance.com/api-docs/api-public/obligations/peach.obligations.handlers.draw_obligation_get_by_id.md)
 - [GET /people/{personId}/loans/{loanId}/obligations](https://docs.peachfinance.com/api-docs/api-public/obligations/peach.obligations.handlers.obligations_get_all.md)
 - [GET /people/{personId}/loans/{loanId}/obligations/{obligationId}](https://docs.peachfinance.com/api-docs/api-public/obligations/peach.obligations.handlers.obligation_get_by_id.md)
## Periods

 - [GET /people/{personId}/loans/{loanId}/periods](https://docs.peachfinance.com/api-docs/api-public/periods/peach.people.loans.handlers.get_loan_periods.md): Returns loan's payment periods.
 - [GET /people/{personId}/loans/{loanId}/periods/{loanPeriodId}](https://docs.peachfinance.com/api-docs/api-public/periods/peach.people.loans.handlers.get_loan_period_by_id.md): Returns a single loan period
## Payment Plans

 - [GET /people/{personId}/loans/{loanId}/custom-payment-plans](https://docs.peachfinance.com/api-docs/api-public/payment-plans/peach.people.loans.handlers.loan_custom_payment_plan_get.md): Returns all payment plans associated with a loan.
 - [POST /people/{personId}/loans/{loanId}/custom-payment-plans](https://docs.peachfinance.com/api-docs/api-public/payment-plans/peach.people.loans.expected_payments.handlers.loan_custom_payment_plan_create.md): Creates a custom payment plan for the borrower. `numberOfPeriods` is required. If `paymentPlanType=fixedAmountAndFees`, then the `amount` is required. Only applicable to installment loans.
 - [GET /people/{personId}/loans/{loanId}/custom-payment-plans/{paymentPlanId}](https://docs.peachfinance.com/api-docs/api-public/payment-plans/peach.people.loans.handlers.loan_custom_payment_plan_get_by_id.md): Return a single payment plan.
 - [POST /people/{personId}/loans/{loanId}/custom-payment-plans/{paymentPlanId}/cancel](https://docs.peachfinance.com/api-docs/api-public/payment-plans/peach.people.loans.handlers.loan_custom_payment_plan_cancel.md): Use this endpoint to cancel a payment plan. Any existing payment plan must be canceled prior to creating a new payment plan. After canceling a payment plan, Peach's system will revert the loan schedul
## SCRA

 - [DELETE /people/{personId}/loans/{loanId}/loc-payment-plan-scra](https://docs.peachfinance.com/api-docs/api-public/scra/peach.people.loans.expected_payments.handlers.loc_change_terms_scra_delete.md): Removes a single SCRA interest rate (`interestType=AbsoluteScra`) on a line of credit loan. The specified `rateId` must refer to an active SCRA interest rate on the loan.
 - [POST /people/{personId}/loans/{loanId}/loc-payment-plan-scra](https://docs.peachfinance.com/api-docs/api-public/scra/peach.people.loans.expected_payments.handlers.loc_change_terms_scra_create.md): Creates SCRA (Servicemembers Civil Relief Act) terms for a line of credit loan. For the SCRA period, the loan rate is lowered (default 6%) and fees may be canceled. Only applicable to line of credit l
 - [PUT /people/{personId}/loans/{loanId}/loc-payment-plan-scra](https://docs.peachfinance.com/api-docs/api-public/scra/peach.people.loans.expected_payments.handlers.loc_change_terms_scra_update.md): Modifies the start date or end date of a single SCRA interest rate (`interestType=AbsoluteScra`) on a line of credit loan. The new `startDate` must be before or equal to `endDate`, and both must fall
 - [DELETE /people/{personId}/loans/{loanId}/payment-plan-scra](https://docs.peachfinance.com/api-docs/api-public/scra/peach.people.loans.expected_payments.handlers.loan_change_terms_scra_delete.md): This endpoint is used for removing a single SCRA interest rate (`interestType=AbsoluteScra`) on a loan. Only applicable to installment loans. If the SCRA start date is in the past, this will replay th
 - [POST /people/{personId}/loans/{loanId}/payment-plan-scra](https://docs.peachfinance.com/api-docs/api-public/scra/peach.people.loans.expected_payments.handlers.loan_change_terms_scra_create.md): Creates a customer payment plan for the borrower in accordance with SCRA regulations. Only applicable to installment loans.
 - [PUT /people/{personId}/loans/{loanId}/payment-plan-scra](https://docs.peachfinance.com/api-docs/api-public/scra/peach.people.loans.expected_payments.handlers.loan_change_terms_scra_update.md): This endpoint is used for modifying the start date or end date of a single SCRA interest rate (`interestType=AbsoluteScra`). Only applicable to installment loans. If the SCRA start date is in the past
## Promise to Pay Plans

 - [PUT /companies/{companyId}/loans/{loanId}/promise-to-pay-plans/{promiseToPayPlanId}/evaluate](https://docs.peachfinance.com/api-docs/api-public/promise-to-pay-plans/peach.loans.promise_to_pays.handlers.internal_evaluate_promise_to_pay_plan.md): Evaluates a `Promise to Pay Plan` and updates the `status` and `isOverdue` of the `Promise to Pay Plan`.
 - [GET /people/{personId}/loans/{loanId}/promise-to-pay-plans](https://docs.peachfinance.com/api-docs/api-public/promise-to-pay-plans/peach.loans.promise_to_pays.handlers.get_promise_to_pay_plans_by_loan.md): Returns `Promise to Pay Plan`s for a given `Loan`.
 - [POST /people/{personId}/loans/{loanId}/promise-to-pay-plans](https://docs.peachfinance.com/api-docs/api-public/promise-to-pay-plans/peach.loans.promise_to_pays.handlers.create_promise_to_pay_plan.md): Creates a new `Promise to Pay Plan`.
 - [GET /people/{personId}/loans/{loanId}/promise-to-pay-plans/{promiseToPayPlanId}](https://docs.peachfinance.com/api-docs/api-public/promise-to-pay-plans/peach.loans.promise_to_pays.handlers.get_promise_to_pay_plan.md): Returns a `Promise to Pay Plan` for a given `Loan`.
 - [PUT /people/{personId}/loans/{loanId}/promise-to-pay-plans/{promiseToPayPlanId}/cancel](https://docs.peachfinance.com/api-docs/api-public/promise-to-pay-plans/peach.loans.promise_to_pays.handlers.cancel_promise_to_pay_plan.md): Cancels a `Promise to Pay Plan`.
 - [PUT /people/{personId}/loans/{loanId}/promise-to-pay-plans/{promiseToPayPlanId}/evaluate](https://docs.peachfinance.com/api-docs/api-public/promise-to-pay-plans/peach.loans.promise_to_pays.handlers.evaluate_promise_to_pay_plan.md): Evaluates a `Promise to Pay Plan` and updates the `status` and `isOverdue` of the `Promise to Pay Plan`.
 - [GET /promise-to-pay-plans](https://docs.peachfinance.com/api-docs/api-public/promise-to-pay-plans/peach.loans.promise_to_pays.handlers.get_promise_to_pay_plans_by_company.md): Returns `Promise to Pay Plan`s for a given company.
## Fees

 - [GET /loan-types/{loanTypeId}/fee-types](https://docs.peachfinance.com/api-docs/api-public/fees/peach.people.loans.fees.handlers.fee_types_get.md)
 - [POST /people/{personId}/loans/{loanId}/cancel-fees](https://docs.peachfinance.com/api-docs/api-public/fees/peach.people.loans.fees.handlers.fees_cancel.md)
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}/fees/draw](https://docs.peachfinance.com/api-docs/api-public/fees/peach.people.loans.handlers.update_draw_fee.md): This endpoint allows lenders to change the draw fee amount. The system will update the draw fee amount and replay the loan from the draw activation date.
 - [GET /people/{personId}/loans/{loanId}/fees](https://docs.peachfinance.com/api-docs/api-public/fees/peach.people.loans.fees.handlers.fees_get.md)
 - [POST /people/{personId}/loans/{loanId}/fees](https://docs.peachfinance.com/api-docs/api-public/fees/peach.people.loans.fees.handlers.fees_post.md)
 - [PUT /people/{personId}/loans/{loanId}/fees/origination](https://docs.peachfinance.com/api-docs/api-public/fees/peach.people.loans.handlers.update_origination_fee.md): This endpoint allows lenders to change the origination fee amount. The system will update the origination fee amount and replay the loan from the activation date.
 - [PUT /people/{personId}/loans/{loanId}/fees/{loanFeeId}](https://docs.peachfinance.com/api-docs/api-public/fees/peach.people.loans.fees.handlers.dynamic_fee_update.md)
 - [POST /people/{personId}/loans/{loanId}/fees/{loanFeeId}/cancel](https://docs.peachfinance.com/api-docs/api-public/fees/peach.people.loans.fees.handlers.fees_cancel_one.md)
## Rates

 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/effective-rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_effective_rates_get.md): This endpoint returns rates details of a draw for a given date(s). Interest rates: If two or more interest rates are `active` on the same date (aka overlap), the Peach system selects the lowest rate (
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_rates_get.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_rates_add.md): This endpoint is used for adding rates. A draw can have multiple rates. If two or more `interestRate` overlap on the same date we use the lowest value. If two or more `promoRate` overlap on the same d
 - [DELETE /people/{personId}/loans/{loanId}/draws/{drawId}/rates/{rateId}](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_rates_delete.md): This endpoint is used for removing a single `interest` or `promo` rate. The deletion of an interest rate cannot lead to a gap in the loan where there is no reference rate. Rates where setAtActivation
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}/rates/{rateId}](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.draw_rates_update.md): This endpoint is used for updating a single `interest` or `promo` rate (don't pass both in the same call). The updating of an interest rate cannot lead to a gap in the loan where there is no reference
 - [GET /people/{personId}/loans/{loanId}/effective-rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_effective_rates_get.md): This endpoint returns rates details of a loan for given date(s). ## Interest rates: - If two or more interest rates are `active` on the same date (aka overlap), the Peach system selects the lowest rat
 - [GET /people/{personId}/loans/{loanId}/rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_rates_get.md)
 - [POST /people/{personId}/loans/{loanId}/rates](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_rates_add.md): This endpoint is used for adding rates. A loan can have multiple rates. If two or more `interestRate` overlap on the same date we use the lowest value. If two or more `promoRate` overlap on the same d
 - [DELETE /people/{personId}/loans/{loanId}/rates/{rateId}](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_rates_delete.md): This endpoint is used for removing a single `interest` or `promo` rate. The deletion of an interest rate cannot lead to a gap in the loan where there is no reference rate. Rates where setAtActivation
 - [PUT /people/{personId}/loans/{loanId}/rates/{rateId}](https://docs.peachfinance.com/api-docs/api-public/rates/peach.people.loans.handlers.loan_rates_update.md): This endpoint is used for updating a single `interest` or `promo` rate. (don't pass both in the same call). The updating of an interest rate cannot lead to a gap in the loan where there is no referenc
## Rate Caps

 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/rate-caps](https://docs.peachfinance.com/api-docs/api-public/rate-caps/peach.loans.rate_caps.handlers.draw_rate_caps_get.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/rate-caps](https://docs.peachfinance.com/api-docs/api-public/rate-caps/peach.loans.rate_caps.handlers.draw_rate_cap_add.md): This endpoint is used for adding rate caps to a draw. If two or more rate caps overlap on the same date, we will use the lowest value. This defines the maximum interest rate that can accrue on a draw
 - [DELETE /people/{personId}/loans/{loanId}/draws/{drawId}/rate-caps/{rateCapId}](https://docs.peachfinance.com/api-docs/api-public/rate-caps/peach.loans.rate_caps.handlers.draw_rate_cap_delete.md): This endpoint is used for removing a single rate cap on a draw. If a draw rate was capped at the `maxRate` and removing this rate cap updates the effective interest rate, then we will replay the loan.
 - [PUT /people/{personId}/loans/{loanId}/draws/{drawId}/rate-caps/{rateCapId}](https://docs.peachfinance.com/api-docs/api-public/rate-caps/peach.loans.rate_caps.handlers.draw_rate_cap_update.md): This endpoint is used for updating a single rate cap on a draw. If a rate cap is updated on a draw for past periods and the draw rate exceeds the cap, we will replay the loan to apply the capped rate.
 - [GET /people/{personId}/loans/{loanId}/rate-caps](https://docs.peachfinance.com/api-docs/api-public/rate-caps/peach.loans.rate_caps.handlers.loan_rate_caps_get.md)
 - [POST /people/{personId}/loans/{loanId}/rate-caps](https://docs.peachfinance.com/api-docs/api-public/rate-caps/peach.loans.rate_caps.handlers.loan_rate_cap_add.md): This endpoint is used for adding rate caps to a loan. If two or more rate caps overlap on the same date, we will use the lowest value. This defines the maximum interest rate that can accrue on a loan
 - [DELETE /people/{personId}/loans/{loanId}/rate-caps/{rateCapId}](https://docs.peachfinance.com/api-docs/api-public/rate-caps/peach.loans.rate_caps.handlers.loan_rate_cap_delete.md): This endpoint is used for removing a single rate cap on a loan. If a loan rate was capped at the `maxRate` and removing this rate cap updates the effective interest rate, then we will replay the loan.
 - [PUT /people/{personId}/loans/{loanId}/rate-caps/{rateCapId}](https://docs.peachfinance.com/api-docs/api-public/rate-caps/peach.loans.rate_caps.handlers.loan_rate_cap_update.md): This endpoint is used for updating a single rate cap on a loan. If a rate cap is updated on a loan for past periods and the loan rate exceeds the cap, we will replay the loan to apply the capped rate.
## Transactions

 - [GET /people/{personId}/loans/{loanId}/transactions](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.handlers.loan_transactions_get_all.md)
 - [POST /people/{personId}/loans/{loanId}/transactions](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.handlers.transactions_create.md): Create a transaction. Permissions required depend on the object type passed: | type | permission | | --- | --- | | One Time Payment | `transaction:create.onetimepayment` | | Service Credit | `transac
 - [POST /people/{personId}/loans/{loanId}/transactions/fail](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.handlers.transactions_fail_multiple.md): This endpoint allows you to fail multiple transactions in one call. The system will mark applicable transactions as `failed` and replay the loan once (starting from the earliest effective date of the
 - [GET /people/{personId}/loans/{loanId}/transactions/{transactionId}](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.handlers.transactions_get_by_id.md)
 - [PUT /people/{personId}/loans/{loanId}/transactions/{transactionId}](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.handlers.transactions_update.md)
 - [POST /people/{personId}/loans/{loanId}/transactions/{transactionId}/backdate](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.handlers.transaction_backdate.md): Backdate a transaction. Can only be applied to transactions with `status=succeeded` or `status=pending`. Can be applied to payments or service credits.
 - [POST /people/{personId}/loans/{loanId}/transactions/{transactionId}/cancel](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.handlers.transaction_cancel.md)
 - [GET /people/{personId}/loans/{loanId}/transactions/{transactionId}/chargebacks](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.chargebacks.handlers.get_chargebacks.md)
 - [POST /people/{personId}/loans/{loanId}/transactions/{transactionId}/chargebacks](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.chargebacks.handlers.transaction_chargeback.md): In some cases a borrower might chargeback/dispute a payment that they made in the past. Only transactions in `succeeded` status can be charged back. If the payment/transaction `isExternal=true`, the c
 - [GET /people/{personId}/loans/{loanId}/transactions/{transactionId}/chargebacks/{chargebackId}](https://docs.peachfinance.com/api-docs/api-public/transactions/peach.transactions.chargebacks.handlers.get_chargeback_by_id.md)
[...]
